Bug 29159 - anaconda fails after selecting video card
anaconda fails after selecting video card
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-23 19:59 EST by Martin Hunt
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-26 18:56:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump (130.37 KB, text/plain)
2001-02-23 19:59 EST, Martin Hunt
no flags Details
anaconda fails during upgrade or installtion (952 bytes, text/plain)
2001-02-24 10:25 EST, nagaraj
no flags Details
anaconda failed i,m a beginer help me (952 bytes, text/plain)
2001-02-24 10:26 EST, nagaraj
no flags Details

  None (edit)
Description Martin Hunt 2001-02-23 19:59:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.1 i686)


Install goes as usual, until I select my video card (Number Nine Imagine
128).  Then the installer fails and offers to write a dump to a floppy (see
additional information)


Reproducible: Always
Steps to Reproduce:
1. Start install, select kb, mouse, partitions, etc
2. Select video card
3.  Crashes
	

Celeron 450 on Abit BH-6
256M RAM
Number 9 Revolution IV with 32M
SGI 1600SW LCD display

installing onto an empty 2G partition.  System is currently running RH6.2.
RH7.0 install succeeds, but X server is broken.

output to floppy 133Kbytes.  Here is the beginning and end of it.  I can
send the whole thing if needed.

Traceback (innermost last):
  File "/usr/bin/anaconda", line 503, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1179, in run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 529, in
__call__
    if server:
NameError: server

Local variables in innermost frame:
choice: 510
todo: <todo.ToDo instance at 8280f78>
self: <text.XConfigWindow instance at 9385978>

[....] deleted stuff about video cards

screen: <snack.SnackScreen instance at 8287c48>
servers: ['Mono', 'VGA16', 'SVGA', 'S3', 'Mach32', 'Mach8', '8514',
'P9000', 'AGX', 'W32', 'W32', 'Mach64', 'I128', 
'S3V', '3DLabs']

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
NsS'setupFilesystems'
p5
I1
sS'monitorVsync'
p6
S''
sS'videoCardStateNode'
p7
S''
sS'ddruidReadOnly'
p8
I0
sS'bootdisk'
p9
I0
sS'videoRamState'
p10
S''
sS'monitorOriginalName'
p11
S''
sS'language'
p12
(itodo
Language
(dp13
S'langInfoByName'
p14
(dp15
S'Arabic (Yemen)'
p16
(S'ar_YE'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Argentina)'
p17
(S'es_AR'
S'iso01'
S'default8x16'
tsS'Spanish'
p18
(S'es_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Lebanon)'
p19
(S'ar_LB'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Guatemala)'
p20
(S'es_GT'
S'iso01'
S'default8x16'
tsS'Arabic (Libyan Arab Jamahiriya)'
p21
(S'ar_LY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Oman)'
p22
(S'ar_OM'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Iraq)'
p23
(S'ar_IQ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Chile)'
p24
(S'es_CL'
S'iso01'
S'default8x16'
tsS'English (South Africa)'
p25
(S'en_ZA'
S'iso01'
S'default8x16'
tsS'French (Switzerland)'
p26
(S'fr_CH'
S'iso01'
S'default8x16'
tsS'Arabic (Bahrein)'
p27
(S'ar_BH'
S'iso06'
S'LatArCyrHeb-16'
tsS'Portuguese'
p28
(S'pt_PT@euro'
S'iso15'
S'lat0-sun16'
tsS'Swedish'
p29
(S'sv_SE'
S'iso01'
S'default8x16'
tsS'Croatian'
p30
(S'hr_HR'
S'iso02'
S'lat2-sun16'
tsS'Greenlandic (Greenland)'
p31
(S'kl_GL'
S'iso01'
S'default8x16'
tsS'Spanish (Mexico)'
p32
(S'es_MX'
S'iso01'
S'default8x16'
tsS'Greek'
p33
(S'el_GR'
S'iso07'
S'gr.f16'
tsS'Spanish (El Salvador)'
p34
(S'es_SV'
S'iso01'
S'default8x16'
tsS'Spanish (Honduras)'
p35
(S'es_HN'
S'iso01'
S'default8x16'
tsS'Spanish (Costa Rica)'
p36
(S'es_CR'
S'iso01'
S'default8x16'
tsS'Dutch (Netherlands)'
p37
(S'nl_NL@euro'
S'iso15'
S'lat0-sun16'
tsS'Serbian (Yugoslavia)'
p38
(S'sr_YU@cyrillic'
S'iso05'
S'cyr-sun16'
tsS'Russian (Ukraine)'
p39
(S'ru_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Afrikaans (South Africa)'
p40
(S'af_ZA'
S'iso01'
S'default8x16'
tsS'Norwegian'
p41
(S'no_NO'
S'iso01'
S'default8x16'
tsS'Arabic (Morocco)'
p42
(S'ar_MA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Ukrainian'
p43
(S'uk_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Arabic (Algeria)'
p44
(S'ar_DZ'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Belgium)'
p45
(S'fr_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Indonesian'
p46
(S'id_ID'
S'iso01'
S'default8x16'
tsS'Danish'
p47
(S'da_DK'
S'iso01'
S'default8x16'
tsS'English (Denmark)'
p48
(S'en_DK'
S'iso01'
S'default8x16'
tsS'Faroese (Faroe Islands)'
p49
(S'fo_FO'
S'iso01'
S'default8x16'
tsS'Galician (Spain)'
p50
(S'gl_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'English (New Zealand)'
p51
(S'en_NZ'
S'iso01'
S'default8x16'
tsS'Spanish (Bolivia)'
p52
(S'es_BO'
S'iso01'
S'default8x16'
tsS'Cornish (Britain)'
p53
(S'kw_GB'
S'iso01'
S'default8x16'
tsS'Arabic (United Arab Emirates)'
p54
(S'ar_AE'
S'iso06'
S'LatArCyrHeb-16'
tsS'German (Austria)'
p55
(S'de_AT@euro'
S'iso15'
S'lat0-sun16'
tsS'Romanian'
p56
(S'ro_RO'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Paraguay)'
p57
(S'es_PY'
S'iso01'
S'default8x16'
tsS'Hebrew (Israel)'
p58
(S'he_IL'
S'iso08'
S'LatArCyrHeb-16'
tsS'German (Luxemburg)'
p59
(S'de_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (USA)'
p60
(S'es_US'
S'iso01'
S'default8x16'
tsS'Portuguese (Brasil)'
p61
(S'pt_BR'
S'iso01'
S'default8x16'
tsS'Spanish (Equador)'
p62
(S'es_EC'
S'iso01'
S'default8x16'
tsS'English (Ireland)'
p63
(S'en_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Polish'
p64
(S'pl_PL'
S'iso02'
S'lat2-sun16'
tsS'Slovak'
p65
(S'sk_SK'
S'iso02'
S'lat2-sun16'
tsS'Macedonian'
p66
(S'mk_MK'
S'iso05'
S'cyr-sun16'
tsS'Arabic (Syrian Arab Republic)'
p67
(S'ar_SY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Czech'
p68
(S'cs_CZ'
S'iso02'
S'lat2-sun16'
tsS'Irish'
p69
(S'ga_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Italian'
p70
(S'it_IT@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Jordan)'
p71
(S'ar_JO'
S'iso06'
S'LatArCyrHeb-16'
tsS'Italian (Switzerland)'
p72
(S'it_CH'
S'iso01'
S'default8x16'
tsS'German (Belgium)'
p73
(S'de_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Albanian'
p74
(S'sq_AL'
S'iso01'
S'default8x16'
tsS'Finnish'
p75
(S'fi_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Peru)'
p76
(S'es_PE'
S'iso01'
S'default8x16'
tsS'Dutch (Belgium)'
p77
(S'nl_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Panama)'
p78
(S'es_PA'
S'iso01'
S'default8x16'
tsS'Spanish (Venezuela)'
p79
(S'es_VE'
S'iso01'
S'default8x16'
tsS'English (Great Britain)'
p80
(S'en_GB'
S'iso01'
S'default8x16'
tsS'Russian'
p81
(S'ru_RU.koi8r'
S'koi8-u'
S'cyr-sun16'
tsS'Norwegian, Nynorsk (Norway)'
p82
(S'nn_NO'
S'iso01'
S'default8x16'
tsS'English (Zimbabwe)'
p83
(S'en_ZW'
S'iso01'
S'default8x16'
tsS'English (USA)'
p84
(S'en_US'
p85
S'iso01'
p86
S'default8x16'
p87
tsS'French'
p88
(S'fr_FR@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Nicaragua)'
p89
(S'es_NI'
S'iso01'
S'default8x16'
tsS'Arabic (Kuwait)'
p90
(S'ar_KW'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Colombia)'
p91
(S'es_CO'
S'iso01'
S'default8x16'
tsS'Basque (Spain)'
p92
(S'eu_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Qatar)'
p93
(S'ar_QA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Egypt)'
p94
(S'ar_EG'
S'iso06'
S'LatArCyrHeb-16'
tsS'German'
p95
(S'de_DE@euro'
S'iso15'
S'lat0-sun16'
tsS'Hungarian'
p96
(S'hu_HU'
S'iso02'
S'lat2-sun16'
tsS'Arabic (Tunisia)'
p97
(S'ar_TN'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Luxemburg)'
p98
(S'fr_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Japanese'
p99
(S'ja_JP.eucjp'
S'iso01'
S'default8x16'
tsS'Swedish (Finland)'
p100
(S'sv_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Saudi Arabia)'
p101
(S'ar_SA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Dominican Republic)'
p102
(S'es_DO'
S'iso01'
S'default8x16'
tsS'French (Canada)'
p103
(S'fr_CA'
S'iso01'
S'default8x16'
tsS'English (Canada)'
p104
(S'en_CA'
S'iso01'
S'default8x16'
tsS'Slovenian (Slovenia)'
p105
(S'sl_SI'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Uruguay)'
p106
(S'es_UY'
S'iso01'
S'default8x16'
tsS'German (Switzerland)'
p107
(S'de_CH'
S'iso01'
S'default8x16'
tsS'English (Australia)'
p108
(S'en_AU'
S'iso01'
S'default8x16'
tsS'Catalan (Spain)'
p109
(S'ca_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Puerto Rico)'
p110
(S'es_PR'
S'iso01'
S'default8x16'
tsS'Turkish'
p111
(S'tr_TR'
S'iso09'
S'lat5-sun16'
tsS'Estonian'
p112
(S'et_EE'
S'iso01'
S'default8x16'
tsS'Arabic (Sudan)'
p113
(S'ar_SD'
S'iso06'
S'LatArCyrHeb-16'
tsS'Icelandic'
p114
(S'is_IS'
S'iso01'
S'default8x16'
tsS'English (Botswana)'
p115
(S'en_BW'
S'iso01'
S'default8x16'
tsS'Manx Gaelic (Britain)'
p116
(S'gv_GB'
S'iso01'
S'default8x16'
tssS'allSupportedLangs'
p117
(lp118
g40
ag74
ag44
ag27
ag94
ag23
ag71
ag90
ag19
ag21
ag42
ag22
ag93
ag101
ag113
ag67
ag97
ag54
ag16
ag92
ag109
ag53
ag30
ag68
ag47
ag77
ag37
ag108
ag115
ag104
ag48
ag80
ag63
ag51
ag25
ag84
ag83
ag112
ag49
ag75
ag88
ag45
ag103
ag98
ag26
ag50
ag95
ag55
ag73
ag59
ag107
ag33
ag31
ag58
ag96
ag114
ag46
ag69
ag70
ag72
ag99
ag66
ag116
ag41
ag82
ag64
ag28
ag61
ag56
ag81
ag39
ag38
ag65
ag105
ag18
ag17
ag52
ag24
ag91
ag36
ag102
ag34
ag62
ag20
ag35
ag32
ag89
ag78
ag57
ag76
ag110
ag60
ag106
ag79
ag29
ag100
ag111
ag43
asS'info'
p119
(dp120
S'SYSFONT'
p121
g87
sS'SUPPORTED'
p122
S'en_US:en'
p123
sS'SYSFONTACM'
p124
g86
sS'LANG'
p125
g85
ssS'supported'
p126
(lp127
g84
asS'default'
p128
g84
sbsS'instClass'
p129
(icustom
InstallClass
(dp130
S'rootPasswordCrypted'
p131
I0
sS'nameserver'
p132
S''
sS'x'
NsS'rootPassword'
p133
NsS'makeBootdisk'
p134
I0
sS'installType'
p135
NsS'postScript'
p136
NsS'earlySwapOn'
p137
I0
sS'networkDevice'
p138
NsS'clearText'
p139
NsS'lilo'
p140
(S'mbr'
p141
I1
S''
tsg12
NsS'name'
p142
S''
sS'postInChroot'
p143
I0
sS'pixmap'
p144
S''
sS'partitions'
p145
(lp146
(S'/boot'
p147
(I16
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNta(S'/'
(I700
I-1
I1
t(S''
I-1
I0
t(I0
I0
tNta(S'swap'
p148
(I64
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNtasS'clearType'
p149
S'wkst'
p150
sS'gateway'
p151
S''
sS'mouse'
p152
NsS'packages'
p153
NsS'timezone'
p154
NsS'zeroMbr'
p155
I0
sS'keyboard'
p156
NsS'groups'
p157
NsS'bootProto'
p158
NsS'netmask'
p159
S''
sS'raidList'
p160
(lsS'skipSteps'
p161
(dsS'auth'
p162
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsS'hostname'
p163
NsS'fstab'
p164
(lsS'showgroups'
p165
NsS'ip'
p166
S''
sS'firewall'
p167
(I-1
I0
(lp168
S''
I0
I0
I0
I0
I0
I0
tsS'defaultRunlevel'
p169
NsS'desktop'
p170
S''
sS'clearPartText'
p171
S'You are about to erase any preexisting Linux installations on your
system.'
p172
sS'clearParts'
p173
I2
sbsS'bdstate'
p174
S''
sS'extraModules'
p175
(lp176
sS'skipLilo'
p177
I0
sS'rootpassword'
p178
NsS'fdDevice'
p179
S'fd0'
p180
sS'installSystem'
p181
I1
sS'comps'
p182
Nsg162
(itodo
Authentication
(dp183
S'useNIS'
p184
I0
sS'nisServer'
p185
S''
sS'useLdap'
p186
I0
sS'krb5Kdc'
p187
S''
sS'ldapTLS'
p188
I0
sS'useHesiod'
p189
I0
sS'ldapServer'
p190
S''
sS'nisDomain'
p191
S''
sS'krb5Realm'
p192
S''
sS'useLdapauth'
p193
I0
sS'hesiodRhs'
p194
S''
sS'useShadow'
p195
I1
sS'nisuseBroadcast'
p196
I0
sS'useKrb5'
p197
I0
sS'useMD5'
p198
I1
sS'ldapBasedn'
p199
S''
sS'krb5Admin'
p200
S''
sS'hesiodLhs'
p201
S''
sS'hesiodDlhs'
p202
S''
sbsS'users'
p203
NsS'_cardindex'
p204
I510
sS'hdList'
p205
NsS'dhcpState'
p206
S'ON'
p207
sS'method'
p208
(iimage
CdromInstallMethod
p209
(dp210
g4

<failed>
Comment 1 Martin Hunt 2001-02-23 19:59:48 EST
Created attachment 10901 [details]
anaconda dump
Comment 2 nagaraj 2001-02-24 10:25:35 EST
Created attachment 10940 [details]
anaconda fails during upgrade or installtion
Comment 3 nagaraj 2001-02-24 10:26:51 EST
Created attachment 10941 [details]
anaconda failed i,m a beginer help me
Comment 4 Michael Fulbright 2001-02-25 11:26:05 EST
Should be fixed, pleae try the wolverine beta to confirm.
Comment 5 Glen Foster 2001-02-26 18:56:46 EST
We (Red Hat) should really try to resolve this before next release.
Comment 6 Martin Hunt 2001-02-27 15:56:41 EST
Fixed in Wolverine.

Note You need to log in before you can comment on or make changes to this bug.